{
  "name": "tildes-issue-log",
  "description": "The Tildes Issue Log is a monthly blog about the development of Tildes.",
  "author": "Bauke <me@bauke.xyz>",
  "version": "2.0.0",
  "license": "AGPL-3.0-or-later",
  "scripts": {
    "serve": "serve 'public/'",
    "build": "mkdir 'public/images/' 'public/fonts/' -p && yarn build:assets && yarn build:html && yarn build:images && yarn build:js && yarn build:redirects && yarn build:sass",
    "build:assets": "TZ=UTC ts-node 'source/scripts/assets.ts'",
    "build:html": "TZ=UTC ts-node 'source/scripts/html.ts'",
    "build:images": "cpy 'source/pages/images/**' 'public/images/'",
    "build:js": "cpy 'source/pages/js/**' 'public/js/'",
    "build:redirects": "TZ=UTC ts-node 'source/scripts/redirects.ts'",
    "build:sass": "sass 'source/pages/scss/style.scss':'public/css/style.css' --style=compressed",
    "download": "TZ=UTC ts-node 'source/scripts/download.ts'",
    "official-topics": "TZ=UTC ts-node 'source/scripts/official-topics.ts'",
    "statistics": "TZ=UTC ts-node 'source/scripts/statistics.ts'",
    "test": "xo && stylelint 'source/pages/scss/**'"
  },
  "dependencies": {
    "modern-normalize": "^0.6.0"
  },
  "devDependencies": {
    "@types/cheerio": "^0.22.18",
    "@types/got": "^9.6.11",
    "@types/marked": "^1.1.0",
    "@types/nunjucks": "^3.1.3",
    "@types/tar": "^4.0.3",
    "@types/wordwrap": "^1.0.0",
    "cheerio": "^1.0.0-rc.3",
    "cpy-cli": "^3.1.1",
    "fecha": "^4.2.0",
    "feed": "^4.2.0",
    "gitlab": "^14.2.2",
    "got": "^11.3.0",
    "htmlclean": "^3.0.8",
    "marked": "^1.1.0",
    "nunjucks": "^3.2.1",
    "sass": "^1.26.9",
    "serve": "^11.3.2",
    "stylelint": "^13.6.1",
    "stylelint-config-xo-scss": "^0.12.0",
    "stylelint-config-xo-space": "^0.14.0",
    "tar": "^6.0.2",
    "ts-node": "^8.10.2",
    "typescript": "^3.9.5",
    "wordwrap": "^1.0.0",
    "xo": "^0.32.0"
  },
  "stylelint": {
    "extends": [
      "stylelint-config-xo-scss",
      "stylelint-config-xo-space"
    ],
    "rules": {
      "scss/at-import-partial-extension": null,
      "scss/no-duplicate-dollar-variables": null,
      "at-rule-empty-line-before": null,
      "at-rule-no-unknown": null,
      "no-descending-specificity": null
    }
  },
  "xo": {
    "overrides": [
      {
        "files": "source/pages/**/*.js",
        "globals": [
          "document",
          "window"
        ]
      }
    ],
    "prettier": true,
    "rules": {
      "max-params": "off",
      "no-await-in-loop": "off"
    },
    "space": true
  }
}
